<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.SjztPddyyczdjfzzlcjPowerTechVsUserOverLimitEventMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.bf.entity.SjztPddyyczdjfzzlcjPowerTechVsUserOverLimitEvent">
            <result property="objId" column="obj_id" jdbcType="VARCHAR"/>
            <result property="provinceId" column="province_id" jdbcType="VARCHAR"/>
            <result property="provinceName" column="province_name" jdbcType="VARCHAR"/>
            <result property="cityOrgId" column="city_org_id" jdbcType="VARCHAR"/>
            <result property="cityOrgName" column="city_org_name" jdbcType="VARCHAR"/>
            <result property="maintainerId" column="maintainer_id" jdbcType="VARCHAR"/>
            <result property="maintainerName" column="maintainer_name" jdbcType="VARCHAR"/>
            <result property="maintcrewId" column="maintcrew_id" jdbcType="VARCHAR"/>
            <result property="maintcrewName" column="maintcrew_name" jdbcType="VARCHAR"/>
            <result property="substationId" column="substation_id" jdbcType="VARCHAR"/>
            <result property="substationName" column="substation_name" jdbcType="VARCHAR"/>
            <result property="generatrixId" column="generatrix_id" jdbcType="VARCHAR"/>
            <result property="generatrixName" column="generatrix_name" jdbcType="VARCHAR"/>
            <result property="feederId" column="feeder_id" jdbcType="VARCHAR"/>
            <result property="feederName" column="feeder_name" jdbcType="VARCHAR"/>
            <result property="feeder10kvGenerationUserCount" column="feeder_10kv_generation_user_count" jdbcType="VARCHAR"/>
            <result property="tgNo" column="tg_no" jdbcType="VARCHAR"/>
            <result property="transformerId" column="transformer_id" jdbcType="VARCHAR"/>
            <result property="transformerName" column="transformer_name" jdbcType="VARCHAR"/>
            <result property="isPvTg" column="is_pv_tg" jdbcType="VARCHAR"/>
            <result property="generationType" column="generation_type" jdbcType="VARCHAR"/>
            <result property="measNo" column="meas_no" jdbcType="VARCHAR"/>
            <result property="measPsrId" column="meas_psr_id" jdbcType="VARCHAR"/>
            <result property="custNo" column="cust_no" jdbcType="VARCHAR"/>
            <result property="custName" column="cust_name" jdbcType="VARCHAR"/>
            <result property="isPvCust" column="is_pv_cust" jdbcType="VARCHAR"/>
            <result property="voltageLevelCode" column="voltage_level_code" jdbcType="VARCHAR"/>
            <result property="overLimitDate" column="over_limit_date" jdbcType="VARCHAR"/>
            <result property="overLimitType" column="over_limit_type" jdbcType="VARCHAR"/>
            <result property="overLimitStartTime" column="over_limit_start_time" jdbcType="VARCHAR"/>
            <result property="overLimitEndTime" column="over_limit_end_time" jdbcType="VARCHAR"/>
            <result property="overLimitDuration" column="over_limit_duration" jdbcType="VARCHAR"/>
            <result property="isDataQualityIssue" column="is_data_quality_issue" jdbcType="VARCHAR"/>
            <result property="traceabilityLevel" column="traceability_level" jdbcType="VARCHAR"/>
            <result property="overLimitCause" column="over_limit_cause" jdbcType="VARCHAR"/>
            <result property="controlMeasures" column="control_measures" jdbcType="VARCHAR"/>
            <result property="ctime" column="ctime" jdbcType="TIMESTAMP"/>
            <result property="mtime" column="mtime" jdbcType="TIMESTAMP"/>
            <result property="isDeleted" column="is_deleted" jdbcType="VARCHAR"/>
            <result property="corrCoefPhaseA" column="corr_coef_phase_a" jdbcType="VARCHAR"/>
            <result property="corrCoefPhaseB" column="corr_coef_phase_b" jdbcType="VARCHAR"/>
            <result property="corrCoefPhaseC" column="corr_coef_phase_c" jdbcType="VARCHAR"/>
            <result property="meterBoxUserCount" column="meter_box_user_count" jdbcType="VARCHAR"/>
            <result property="transType" column="trans_type" jdbcType="VARCHAR"/>
            <result property="daysUnreasonableTapPosition" column="days_unreasonable_tap_position" jdbcType="VARCHAR"/>
            <result property="daysUnreasonableBusVoltageTarget" column="days_unreasonable_bus_voltage_target" jdbcType="VARCHAR"/>
            <result property="mpId" column="mp_id" jdbcType="VARCHAR"/>
            <result property="meterId" column="meter_id" jdbcType="VARCHAR"/>
            <result property="lvLinePsrId" column="lv_line_psr_id" jdbcType="VARCHAR"/>
            <result property="voltageIndexRange" column="voltage_index_range" jdbcType="VARCHAR"/>
            <result property="voltageOverIndexMild" column="voltage_over_index_mild" jdbcType="VARCHAR"/>
            <result property="voltageOverIndexSevere" column="voltage_over_index_severe" jdbcType="VARCHAR"/>
            <result property="voltageUnderIndexMild" column="voltage_under_index_mild" jdbcType="VARCHAR"/>
            <result property="voltageUnderIndexSevere" column="voltage_under_index_severe" jdbcType="VARCHAR"/>
            <result property="maxCorrelationCoefficient" column="max_correlation_coefficient" jdbcType="VARCHAR"/>
            <result property="isSensitiveUser" column="is_sensitive_user" jdbcType="VARCHAR"/>
            <result property="userType" column="user_type" jdbcType="VARCHAR"/>
            <result property="isLowVoltageDay" column="is_low_voltage_day" jdbcType="VARCHAR"/>
            <result property="isSevereOvervoltageDay" column="is_severe_overvoltage_day" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        obj_id,province_id,province_name,
        city_org_id,city_org_name,maintainer_id,
        maintainer_name,maintcrew_id,maintcrew_name,
        substation_id,substation_name,generatrix_id,
        generatrix_name,feeder_id,feeder_name,
        feeder_10kv_generation_user_count,tg_no,transformer_id,
        transformer_name,is_pv_tg,generation_type,
        meas_no,meas_psr_id,cust_no,
        cust_name,is_pv_cust,voltage_level_code,
        over_limit_date,over_limit_type,over_limit_start_time,
        over_limit_end_time,over_limit_duration,is_data_quality_issue,
        traceability_level,over_limit_cause,control_measures,
        ctime,mtime,is_deleted,
        corr_coef_phase_a,corr_coef_phase_b,corr_coef_phase_c,
        meter_box_user_count,trans_type,days_unreasonable_tap_position,
        days_unreasonable_bus_voltage_target,mp_id,meter_id,
        lv_line_psr_id,voltage_index_range,voltage_over_index_mild,
        voltage_over_index_severe,voltage_under_index_mild,voltage_under_index_severe,
        max_correlation_coefficient,is_sensitive_user,user_type,
        is_low_voltage_day,is_severe_overvoltage_day
    </sql>
</mapper>
